%define anolis_release 1
%global libhandy_version 1.5.0

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:          yelp
Epoch:         2
Version:       42.1
Release:       %{anolis_release}%{?dist}
Summary:       Help browser for the GNOME desktop

License:       LGPLv2+ and ASL 2.0 and GPLv2+
URL:           https://wiki.gnome.org/Apps/Yelp
Source:        https://download.gnome.org/sources/%{name}/42/%{name}-%{tarball_version}.tar.xz

BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libhandy-1) >= %{libhandy_version}
BuildRequires: pkgconfig(liblzma)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(libexslt)
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(webkit2gtk-4.0)
BuildRequires: pkgconfig(yelp-xsl)
BuildRequires: desktop-file-utils
BuildRequires: bzip2-devel
BuildRequires: gcc
BuildRequires: gettext-devel
BuildRequires: intltool
BuildRequires: itstool
BuildRequires: make
Requires:      libhandy >= %{libhandy_version}
Requires:      yelp-libs = %{epoch}:%{version}-%{release}
Requires:      yelp-xsl

%description
Yelp is the help browser for the GNOME desktop. It is designed
to help you browse all the documentation on your system in
one central tool, including traditional man pages, info pages and
documentation written in DocBook.

%package libs
Summary: Libraries for yelp

%description libs
This package contains libraries used by the yelp help browser.

%package devel
Summary: Development files for yelp-libs
Requires: %{name}-libs = %{epoch}:%{version}-%{release}

%description devel
This package contains header files for the libraries in the yelp-libs package.

%prep
%autosetup -p1 -n %{name}-%{tarball_version}

%build
%configure --disable-static --with-webkit2gtk-4-0
%make_build

%install
%make_install

find $RPM_BUILD_ROOT%{_libdir} -name '*.la' -delete

%find_lang %{name}

%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/yelp.desktop

%files -f %{name}.lang
%doc AUTHORS NEWS README
%license COPYING
%{_bindir}/*
%{_datadir}/applications/yelp.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.yelp.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.Yelp.svg
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Yelp-symbolic.svg
%{_datadir}/metainfo/yelp.appdata.xml
%{_datadir}/yelp/
%{_datadir}/yelp-xsl/xslt/common/domains/yelp.xml

%files libs
%{_libdir}/libyelp.so.0*
%dir %{_libdir}/yelp
%dir %{_libdir}/yelp/web-extensions
%{_libdir}/yelp/web-extensions/libyelpwebextension.so

%files devel
%{_libdir}/libyelp.so
%{_includedir}/libyelp


%changelog
* Mon Apr 18 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 42.1-1
- init from upstream
